## ros-kinetic-schunk-svh-driver 0.2.0

=== src/driver_svh/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# To be used by other modules
SET(DRIVER_SVH_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" "${CMAKE_CURRENT_BINARY_DIR}/src" CACHE INTERNAL "")
SET(DRIVER_SVH_IDL_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" CACHE INTERNAL "")
SET(DRIVER_SVH_IDE_FOLDER "driver_svh")

ICMAKER_REGISTER_PACKAGE(driver_svh)

ADD_SUBDIRECTORY (src/driver_svh)
ADD_SUBDIRECTORY (src/ts/driver_svh)

ICMAKER_CONFIGURE_PACKAGE()

=== src/driver_svh/src/driver_svh/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("driver_svh" IDE_FOLDER ${DRIVER_SVH_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  Logging.cpp
  SVHController.cpp
  SVHFeedbackPollingThread.cpp
  SVHFingerManager.cpp
  SVHReceiveThread.cpp
  SVHSerialInterface.cpp
  SVHSerialPacket.cpp
)

ICMAKER_ADD_HEADERS(
  ImportExport.h
  Logging.h
  SVHController.h
  SVHSerialPacket.h
  SVHPositionSettings.h
  SVHCurrentSettings.h
  SVHFirmwareInfo.h
  SVHControllerFeedback.h
  SVHControllerState.h
  SVHControlCommand.h
  SVHFeedbackPollingThread.h
  SVHFingerManager.h
  SVHReceiveThread.h
  SVHSerialInterface.h
  SVHEncoderSettings.h
  SVHHomeSettings.h
)

ICMAKER_LOCAL_CPPDEFINES(-DDRIVER_SVH_EXPORT_SYMBOLS)
ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_DRIVER_SVH_)
ICMAKER_INCLUDE_DIRECTORIES(${DRIVER_SVH_INCLUDE_DIRS})

#non exported deps
ICMAKER_DEPENDENCIES(
  icl_core
)

#Exported deps
ICMAKER_DEPENDENCIES(EXPORT
  icl_core
  icl_comm
  Boost_THREAD
)

# Websockets are a later expansion that is not considered at the moment but prepared for
ICMAKER_DEPENDENCIES(OPTIONAL EXPORT
 icl_comm_websocket
)


ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS(${icmaker_target})

#----------------------------------------------------------------------
# Doxygen configuration
#----------------------------------------------------------------------

SET(IC_WORKSPACE_DOXYGEN_PROJECT_NAME "driver_svh" CACHE INTERNAL "")
SET(IC_WORKSPACE_DOXYGEN_CONFIG_OVERRIDES "FILE_PATTERNS = *.h *.hpp *.doxy *.cpp" CACHE INTERNAL "")

=== debian/changelog ===
ros-kinetic-schunk-svh-driver (0.2.0-0xenial) xenial; urgency=high

  * Added hardware support for the 2nd hardware version of the Schunk SVH
  * Added dynamic parameter switcher for automatically setting parameters
  * Improved sine test with increased movement range, thumb movement and possibility to change the speed
  * Extracted ``fzi_icl_core`` and ``fzi_icl_comm``
  * Fixed xacro warnings
  * Contributors: Felix Mauch, Pascal Becker, Johannes Mangler

 -- Georg Heppner <heppner@fzi.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.7-0xenial) xenial; urgency=high

  * Added correct Reset of package counts
  * Added Retry functionality for connection failures
  * Added Readout of efforts
  * Correctly use the given homing settings ( fixes #1 )
  * Added safety warning for high current settings
  * Added much debugging output for the reset routine
  * Fixes of typos, comments and other minor things
  * Rudimentary windows support for icl libs
  * Removed icl_comm_websocket as it was not strictly needed for the ROSnode of the driver
  * Added effort feedback
  * Added channel current output
  * Added retry option for the connect routine to make autostart more robust
  * Added the TcoNoDelay transport hint
  * Include name prefix for the channel names
  * add collision meshes to URDF
  * Removed parts that where actually from another project and did not belong into the SVH Driver package
  * Added a name prefix for the hand to allow multiple instantiation of the hand model.
  * Make hand member names dependent of hand name
  * Added a mainpage.dox with an image and the corresponing rosdoc config
  * Contributors: Andreas Hermann, Georg Heppner, Nils Berg, Steffen Ruehl

 -- Georg Heppner <heppner@fzi.de>  Wed, 17 Jun 2015 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.6-0xenial) xenial; urgency=high

  * Added a mainpage.dox with an image and the corresponing rosdoc config
  * Fixed xacro and run_demo to work with the new package structure
  * Added a new node only launch script
  * Contributors: Georg Heppner

 -- Georg Heppner <heppner@fzi.de>  Mon, 29 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.5-0xenial) xenial; urgency=high

  * Moved rviz config to etc and changed gui to a default no show
  * Fixed a counting variable which was comparing signed with unsigned
  * Changed the way to install udev rules to be a script for devel and a rosrun for install targets
  * Enabled the svh_sin_test node by default as this is easier to start
  * Changed the logging mechanism to use ~/.ros/log instead of the project folder as this is not writable in installs
    Also changed many default values and how the config values are read to provide better user experience
  * Added a queue size to the topics published by the plugin as it is required by hydro
  * Contributors: Georg Heppner

 -- Georg Heppner <heppner@fzi.de>  Sun, 28 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.4-0xenial) xenial; urgency=high

  * Removed preliminary tests that remained from development and where not meant to be published
  * Contributors: Georg Heppner

 -- Georg Heppner <heppner@fzi.de>  Thu, 25 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.3-0xenial) xenial; urgency=high

  * Moved the widget gui to a resource folder as it is suggested by the rqt tutorials
  * Changed the includes from using find scripts to use internally set variables to prevent failures in case of multiple icl workspace instances
  * Added missing plugin.xml to install targets
  * Renamed include dir to adhere to currect naming schema
  * Added install directives for launch files, config files and headers, udev ruels, helper files and boilderplate needed for execution
  * Disabled Rotation for log files
  * Fixed install directives
  * Contributors: Georg Heppner

 -- Georg Heppner <heppner@fzi.de>  Thu, 25 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.2-0xenial) xenial; urgency=high

  * Fixed install directives in CMake
  * Contributors: Andreas Hermann

 -- Georg Heppner <heppner@fzi.de>  Thu, 25 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.1-0xenial) xenial; urgency=high

  * Made the launch file a little bit better to support simulation without standalone flag
  * Updated the quick commands to contain speeds and efforts as this is required by the joint state publisher
  * Added UDEV rules to the package
  * Fixed package name
  * Contributors: Andreas Hermann, Georg Heppner

 -- Georg Heppner <heppner@fzi.de>  Thu, 25 Sep 2014 22:00:00 -0000

ros-kinetic-schunk-svh-driver (0.1.0-0xenial) xenial; urgency=high

  * First public release: Contains Low-Level Driver, 3D-Model and ROS-Node
  * Contributors: Georg Heppner, Lars Pfotzer, Nils Berg, Andreas Hermann, Steffen Rühl

 -- Georg Heppner <heppner@fzi.de>  Wed, 24 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-schunk-svh-driver
Section: misc
Priority: extra
Maintainer: Georg Heppner <heppner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-fzi-icl-comm, ros-kinetic-fzi-icl-core, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://www.ros.org/wiki/schunk_svh_driver
Standards-Version: 3.9.2

Package: ros-kinetic-schunk-svh-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-fzi-icl-comm, ros-kinetic-fzi-icl-core, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Description: SVH Driver wrapper to enable control of the Schunk five finger hand

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-schunk-svh-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
